## tqscintilla 14.0.4

=== debian/changelog ===
tqscintilla (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 11:37:46 +0200

tqscintilla (1.7.1-0ubuntu0) lucid; urgency=low

  * Initial TQt builds

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 30 Nov 2011 11:40:00 -0600

## tqscintilla 14.0.5

=== debian/changelog ===
tqscintilla (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 03:41:22 +0200

## tqscintilla 14.1.5

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/include
  ${CMAKE_SOURCE_DIR}/src
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

add_definitions( -DTQT -DSCI_LEXER )


##### src (static)

tde_add_library( src STATIC_PIC

  SOURCES
        AutoComplete.cpp
        CallTip.cpp
        CellBuffer.cpp
        ContractionState.cpp
        CharClassify.cpp
        Document.cpp
        DocumentAccessor.cpp
        Editor.cpp
        ExternalLexer.cpp
        Indicator.cpp
        KeyMap.cpp
        KeyWords.cpp
        LexAPDL.cpp
        LexAU3.cpp
        LexAVE.cpp
        LexAda.cpp
        LexAsm.cpp
        LexAsn1.cpp
        LexBaan.cpp
        LexBash.cpp
        LexBasic.cpp
        LexBullant.cpp
        LexCLW.cpp
        LexCPP.cpp
        LexCSS.cpp
        LexCaml.cpp
        LexConf.cpp
        LexCrontab.cpp
        LexCsound.cpp
        LexEScript.cpp
        LexEiffel.cpp
        LexErlang.cpp
        LexFlagship.cpp
        LexForth.cpp
        LexFortran.cpp
        LexGui4Cli.cpp
        LexHTML.cpp
        LexHaskell.cpp
        LexInno.cpp
        LexKix.cpp
        LexLisp.cpp
        LexLout.cpp
        LexLua.cpp
        LexMMIXAL.cpp
        LexMPT.cpp
        LexMSSQL.cpp
        LexMatlab.cpp
        LexMetapost.cpp
        LexNsis.cpp
        LexOpal.cpp
        LexOthers.cpp
        LexPB.cpp
        LexPOV.cpp
        LexPS.cpp
        LexPascal.cpp
        LexPerl.cpp
        LexPython.cpp
        LexRebol.cpp
        LexRuby.cpp
        LexSQL.cpp
        LexScriptol.cpp
        LexSmalltalk.cpp
        LexSpecman.cpp
        LexSpice.cpp
        LexTADS3.cpp
        LexTCL.cpp
        LexTeX.cpp
        LexVB.cpp
        LexVHDL.cpp
        LexVerilog.cpp
        LexYAML.cpp
        LineMarker.cpp
        PropSet.cpp
        RESearch.cpp
        ScintillaBase.cpp
        Style.cpp
        StyleContext.cpp
        ViewStyle.cpp
        WindowAccessor.cpp
        XPM.cpp
)

## tqscintilla 14.0.6

=== debian/changelog ===
tqscintilla (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 04 Mar 2019 00:13:05 +0100

=== debian/control ===
Source: tqscintilla
Section: libs
Priority: optional
Maintainer: Ricardo Javier Cardenes Medina <rcardenes@debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libtqt3-mt-dev, tqt3-dev-tools, libtqtinterface-dev
Standards-Version: 3.8.4

Package: libtqscintilla7
Section: libs
Architecture: any
Replaces: libtqscintilla7 (<< 4:14.0.0~)
Breaks: libtqscintilla7 (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: TQt source code editing component based on Scintilla
 Scintilla is a free source code editing component. It has features found
 in standard editing components, as well as features especially useful
 when editing and debugging source code.
 .
 TQScintilla is a port or Scintilla to the TQt GUI toolkit.

Package: libtqscintilla-dev
Section: libdevel
Architecture: all
Replaces: libtqscintilla-dev (<< 4:14.0.0~)
Breaks: libtqscintilla-dev (<< 4:14.0.0~)
Depends: libtqscintilla7 (>= ${source:Version})
Description: TQt source code editing component - development files
 Scintilla is a free source code editing component. It has features found
 in standard editing components, as well as features especially useful
 when editing and debugging source code.
 .
 TQScintilla is a port of Scintilla to the TQt GUI toolkit. These are the
 development files (headers and static libs).

Package: libtqscintilla-doc
Section: doc
Architecture: all
Replaces: libtqscintilla-doc (<< 4:14.0.0~)
Breaks: libtqscintilla-doc (<< 4:14.0.0~)
Suggests: libtqscintilla-dev
Description: TQt source code editing component - documentation
 Scintilla is a free source code editing component. It has features found
 in standard editing components, as well as features especially useful
 when editing and debugging source code.
 .
 This package contain HTML files describing TQScintilla classes.

## tqscintilla 14.0.8

=== debian/changelog ===
tqscintilla (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 08 Mar 2020 16:55:42 +0100

## tqscintilla 14.0.9

=== debian/changelog ===
tqscintilla (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 08 Mar 2020 16:55:42 +0100

## tqscintilla 14.0.10

=== debian/changelog ===
tqscintilla (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: tqscintilla
 Section: libs
 Priority: optional
-Maintainer: Ricardo Javier Cardenes Medina <rcardenes@debian.org>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Torsten Marek <shlomme@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libtqt3-mt-dev, tqt3-dev-tools, libtqtinterface-dev
+Build-Depends: debhelper (>= 9~), libtqt3-mt-dev, tqt3-dev-tools, libtqtinterface-dev
 Standards-Version: 3.8.4
 
 Package: libtqscintilla7

## tqscintilla 14.0.11

=== debian/changelog ===
tqscintilla (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tqscintilla

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## tqscintilla 14.0.12

=== debian/changelog ===
tqscintilla (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tqscintilla

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 29 Dec 2021 13:03:01 +0100

## tqscintilla 14.0.13

=== debian/changelog ===
tqscintilla (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tqscintilla

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 21 Jun 2022 05:11:43 +0200

## tqscintilla 14.1.0

=== debian/changelog ===
tqscintilla (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tqscintilla

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 12 Apr 2023 16:06:36 +0200

## tqscintilla 14.1.1

=== debian/changelog ===
tqscintilla (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tqscintilla

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 12 Apr 2023 16:06:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Torsten Marek <shlomme@debian.org>
-Build-Depends: debhelper (>= 9~), libtqt3-mt-dev, tqt3-dev-tools, libtqtinterface-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libtqt3-mt-dev, tqt3-dev-tools, libtqtinterface-dev
 Standards-Version: 3.8.4
 
 Package: libtqscintilla7
 Section: libs
 Architecture: any
+Multi-Arch: same
 Replaces: libtqscintilla7 (<< 4:14.0.0~)
 Breaks: libtqscintilla7 (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
+Recommends: libtqscintilla7-i18n
 Description: TQt source code editing component based on Scintilla
  Scintilla is a free source code editing component. It has features found
  in standard editing components, as well as features especially useful
@@ -19,9 +21,23 @@
  .
  TQScintilla is a port or Scintilla to the TQt GUI toolkit.
 
+Package: libtqscintilla7-i18n
+Section: libs
+Architecture: all
+Multi-Arch: foreign
+Replaces: libtqscintilla7 (<< 4:14.0.12~)
+Breaks: libtqscintilla7 (<< 4:14.0.12~)
+Description: i18n files for TQScintilla library
+ Scintilla is a free source code editing component. It has features found
+ in standard editing components, as well as features especially useful
+ when editing and debugging source code.
+ .
+ This package contains the internationalization files for the TQScintilla library.
+
 Package: libtqscintilla-dev
 Section: libdevel
-Architecture: all
+Architecture: any
+Multi-Arch: foreign
 Replaces: libtqscintilla-dev (<< 4:14.0.0~)
 Breaks: libtqscintilla-dev (<< 4:14.0.0~)
 Depends: libtqscintilla7 (>= ${source:Version})
@@ -36,6 +52,7 @@
 Package: libtqscintilla-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Replaces: libtqscintilla-doc (<< 4:14.0.0~)
 Breaks: libtqscintilla-doc (<< 4:14.0.0~)
 Suggests: libtqscintilla-dev

## tqscintilla 14.1.2

=== debian/changelog ===
tqscintilla (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tqscintilla

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 15 Mar 2024 12:59:21 +0100

## tqscintilla 14.1.3

=== debian/changelog ===
tqscintilla (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tqscintilla

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 12 Jul 2024 16:29:51 +0200

## tqscintilla 14.1.4

=== debian/changelog ===
tqscintilla (4:14.1.4-0raspbian12.0.0+0) raspbian-bookworm; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tqscintilla

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Torsten Marek <shlomme@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libtqt3-mt-dev, tqt3-dev-tools, libtqtinterface-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libtqt3-mt-dev, tqt3-dev-tools, libtqtinterface-dev
 Standards-Version: 3.8.4
 
 Package: libtqscintilla7

## tqscintilla 14.1.5~pre0

=== debian/changelog ===
tqscintilla (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for aa50195215adca66e19a1bbaaa45791a570d4c77
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tqscintilla

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tqscintilla 14.1.5

=== debian/changelog ===
tqscintilla (4:14.1.5-0ubuntu18.04.0+0) bionic; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tqscintilla

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

ifdef DEB_HOST_MULTIARCH
  CMAKE_INSTALL_LIBDIR = lib/$(DEB_HOST_MULTIARCH)
else
  CMAKE_INSTALL_LIBDIR = lib
endif

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_INSTALL_LIBDIR=$(CMAKE_INSTALL_LIBDIR) \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

## tqscintilla 14.1.6~pre0

=== debian/changelog ===
tqscintilla (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for aa50195215adca66e19a1bbaaa45791a570d4c77
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqscintilla

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tqscintilla 14.1.6~pre1

=== debian/changelog ===
tqscintilla (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for a1ea5dcd0198813566c9d0a4c55d55fa0d1add38
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqscintilla

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:40:59 +0100

## tqscintilla 14.2.0~pre7

=== debian/changelog ===
tqscintilla (4:14.2.0~pre7-0raspbian12.0.0+7) raspbian-bookworm; urgency=low

  * Automated git build for 3f2dc73d5a565121db00f4a0f050a48910b51623
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqscintilla

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Torsten Marek <shlomme@debian.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libtqt3-mt-dev, tqt3-dev-tools, libtqtinterface-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libtqt3-mt-dev, tqt3-dev-tools, libtqt3-mt-dev
 Standards-Version: 3.8.4
 
 Package: libtqscintilla7

## tqscintilla 14.2.0~pre8

=== debian/changelog ===
tqscintilla (4:14.2.0~pre8-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 0d994ada7f7a6a18145187cf6708e2501f457e86
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqscintilla

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:21:17 +0100
